Module org.jfree.chart3d
Package org.jfree.chart3d.table

# Interface RectanglePainter

All Known Implementing Classes:
  `GradientRectanglePainter`, `StandardRectanglePainter`

public interface RectanglePainter
An object that can paint a rectangular region with a color, gradient, image or anything.
NOTE: It is recommended that classes that implement this interface are designed to be `Serializable` and immutable. Immutability is desirable because painters are assigned to `Chart3D` instances, and there is no change notification if the painter can be modified directly. In addition, a single painter can be shared amongst multiple charts.

## Method Summary

Modifier and Type
Method
Description
`void`
`fill(Graphics2D g2, Rectangle2D bounds)`
Fills the specified rectangle (where "fill" is some arbitrary drawing operation defined by the class that implements this interface).

## Method Details

### fill

void fill(Graphics2D g2, Rectangle2D bounds)
Fills the specified rectangle (where "fill" is some arbitrary drawing operation defined by the class that implements this interface).

Parameters:
  `g2` - the graphics target (`null` not permitted).
  `bounds` - the rectangle (`null` not permitted).